Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Public Member Functions | Friends | List of all members
testing::internal::UnitTestImpl Class Reference

## Public Types
enum | ReactionToSharding { HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL }

## Public Member Functions
| UnitTestImpl (UnitTest *parent)
TestPartResultReporterInterface * | GetGlobalTestPartResultReporter ()
void | SetGlobalTestPartResultReporter (TestPartResultReporterInterface *reporter)
TestPartResultReporterInterface * | GetTestPartResultReporterForCurrentThread ()
void | SetTestPartResultReporterForCurrentThread (TestPartResultReporterInterface *reporter)
int | successful_test_case_count () const
int | failed_test_case_count () const
int | total_test_case_count () const
int | test_case_to_run_count () const
int | successful_test_count () const
int | failed_test_count () const
int | reportable_disabled_test_count () const
int | disabled_test_count () const
int | reportable_test_count () const
int | total_test_count () const
int | test_to_run_count () const
TimeInMillis | start_timestamp () const
TimeInMillis | elapsed_time () const
bool | Passed () const
bool | Failed () const
const TestCase * | GetTestCase (int i) const
TestCase * | GetMutableTestCase (int i)
TestEventListeners * | listeners ()
TestResult * | current_test_result ()
const TestResult * | ad_hoc_test_result () const
void | set_os_stack_trace_getter (OsStackTraceGetterInterface *getter)
OsStackTraceGetterInterface * | os_stack_trace_getter ()
std::string | CurrentOsStackTraceExceptTop (int skip_count) GTEST_NO_INLINE_
TestCase * | GetTestCase (const char *test_case_name, const char *type_param, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc)
void | AddTestInfo (Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc, TestInfo *test_info)
void | set_current_test_case (TestCase *a_current_test_case)
void | set_current_test_info (TestInfo *a_current_test_info)
void | RegisterParameterizedTests ()
bool | RunAllTests ()
void | ClearNonAdHocTestResult ()
void | ClearAdHocTestResult ()
void | RecordProperty (const TestProperty &test_property)
int | FilterTests (ReactionToSharding shard_tests)
void | ListTestsMatchingFilter ()
const TestCase * | current_test_case () const
TestInfo * | current_test_info ()
const TestInfo * | current_test_info () const
std::vector< Environment * > & | environments ()
std::vector< TraceInfo > & | gtest_trace_stack ()
const std::vector< TraceInfo > & | gtest_trace_stack () const
void | ConfigureXmlOutput ()
void | PostFlagParsingInit ()
int | random_seed () const
internal::Random * | random ()
void | ShuffleTests ()
void | UnshuffleTests ()
bool | catch_exceptions () const

## Friends
class | ::testing::UnitTest

## Detailed Description

Definition at line 499 of file gtest-internal-inl.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/src/gtest-internal-inl.h